package org.xbib.interlibrary.http.server.avail;

interface AvailParameters {

    String SERVICE = "service";

    String REQUESTER = "requester";

    String USERGROUP = "usergroup";

    String SELF_ALLOWED = "self_allowed";

    String LOCAL_ALLOWED = "local_allowed";

    String DOMAIN_ALLOWED = "domain_allowed";

    String LAST_RESORT_ALLOWED = "lastresort_allowed";

    String INCLUDE_LIBRARY = "library";

    String EXCLUDE_LIBRARY = "exclude_library";

    String ADVANTAGE_LIBRARY = "advantage_library";

    String HANDICAP_LIBRARY = "handicap_library";

    String INCLUDE_DOMAIN = "domain";

    String EXCLUDE_DOMAIN = "exclude_domain";

    String INCLUDE_ORGANIZATION = "organization";

    String EXCLUDE_ORGANIZATION = "exclude_organization";

    String LIBRARY_GROUP = "library_group";

    String SOURCE = "source";

    String SOURCE_ID = "sourceid";

    String YEAR = "year";

    String ISSN = "issn";

    String ISBN = "isbn";

    String DOI = "doi";

    String MATERIAL = "material";

    String MODE = "mode";

    String LIMIT = "limit";

    String ENABLE_DESCRIPTION = "enable_description";

    String ENABLE_DOMAIN = "enable_domain";

    String DEBUG = "debug";

    String ENABLE_FILTERED = "enable_filtered";

    String ENABLE_LINK_PRIORITY = "enable_link_priority";

    String ENABLE_ONLINE_RESOURCES = "enable_online_resources";

    String ENABLE_PRINT_RESOURCES = "enable_print_resources";
}
